Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.storage.ssh_keys.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/storage"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Storage.SSHKeys.List(context.TODO(), storage.SSHKeyListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/storage/v4/ssh_keys \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/v4/ssh_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/storage/v4/ssh_keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/storage/v4/ssh_keys")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/storage/v4/ssh_keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 5,
"results": [
{
"created_at": "2025-08-05T09:15:00Z",
"id": 123,
"name": "my-production-key",
"public_key": "ssh-rsa AAAAB3NzaC1yc2EAAA... user@example.com"
}
]
}{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}SSHKeys
List SSH keys
Returns a paginated list of all SSH public keys for SFTP storage access.
GET
/
storage
/
v4
/
ssh_keys
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.storage.ssh_keys.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/storage"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Storage.SSHKeys.List(context.TODO(), storage.SSHKeyListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/storage/v4/ssh_keys \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/v4/ssh_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/storage/v4/ssh_keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/storage/v4/ssh_keys")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/storage/v4/ssh_keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 5,
"results": [
{
"created_at": "2025-08-05T09:15:00Z",
"id": 123,
"name": "my-production-key",
"public_key": "ssh-rsa AAAAB3NzaC1yc2EAAA... user@example.com"
}
]
}{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}Authorizations
Headers
Query Parameters
Was this page helpful?